## python-graph 1.8.1

=== debian/changelog ===
python-graph (1.8.1-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)
    - rename field XS-P-V to X-P-V
  * debian/watch
    - update to reflecg Google Code changes
  * debian/copyright
    - updated copyright years
  * debian/patches/10_exceptions_catch_fix.dpatch
    - removed, we don't support 2.5 anymore
  * Switch to 3.0 (quilt) source format
  * Switch to compat debian/rules format

 -- Sandro Tosi <morph@debian.org>  Mon, 09 Jan 2012 18:59:30 +0100

python-graph (1.8.0-2) unstable; urgency=low

  * debian/control
    - added python-pkg-resources to Depends; thanks to Alexander Heinlein for
      the report; Closes: #614414
    - remove Replaces/Provides/Conflict with python-graph << 1.6.1-1, no more
      needed
    - removed XB-P-V, not used

 -- Sandro Tosi <morph@debian.org>  Sun, 24 Apr 2011 16:30:48 +0200

python-graph (1.8.0-1) experimental; urgency=low

  * New upstream release
  * debian/copyright
    - added new upstream author
  * debian/control
    - bump Standards-Version to 3.9.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 17 Oct 2010 10:58:12 +0200

python-graph (1.7.0-1) unstable; urgency=low

  * New upstream release
  * debian/patches/20_remove_reset.dpatch
    - Don't use reset to clean the screen before running tests (play bad with
      our build systems)
  * debian/python-pygraph.doc-base
    - added doc-base registration

 -- Sandro Tosi <morph@debian.org>  Wed, 24 Mar 2010 20:06:14 +0100

python-graph (1.6.3-1) unstable; urgency=low

  * New upstream release
  * debian/patches/10_remove_doc_installation
    - removed, no more needed
  * debian/rules
    - upstream changed the build system, updated accordingly
    - detect build dir dinamically, to support both Python 2.5 and 2.6
    - install also files under 'dot/' dir
    - install tests instead of examples (removed from upstream tarball)
  * debian/patches/10_exceptions_catch_fix.dpatch
    - added to catch exceptions in a way compatible with Python 2.5
  * debian/control
    - bump Standards-Version to 3.8.4 (no changes needed)
    - suggests python-pyparsing, needed for dot support
    - fixed Provices/Provides typo
    - remove version from Provides field
    - drop 'python-graph' transitional package
    - updated long description
  * debian/copyright
    - extended packaging copyright years, fixing the legal notice too
  * debian/{control, rules}
    - pass '--install-layout=deb' to setup.py install calls, for Python 2.6
  * debian/README.Debian
    - removed, no more needed

 -- Sandro Tosi <morph@debian.org>  Wed, 03 Mar 2010 07:14:12 +0100

python-graph (1.6.1-1) unstable; urgency=low

  * New upstream release
    - debian/{control, rules}
      + renamed bin pkg to python-pygraph due to module rename (python-graph is
        now a transitional pkg)
  * debian/control
    - bump Standards-Version to 3.8.3 (no changes needed)
  * debian/patches/10_remove_doc_installation.dpatch
    - adapted to new upstream code
  * debian/copyright
    - updated list of upstream copyright holders
  * debian/rules
    - use testrunner to execute unit tests

 -- Sandro Tosi <morph@debian.org>  Thu, 20 Aug 2009 01:03:44 +0200

python-graph (1.5.0-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - updated copyright authors notice, removing all the copyright exceptions
  * debian/control
    - added python-pydot to Depends, and to b-d-i (for tests)
  * debian/patches/10_remove_doc_installation.dpatch
    - updated to new upstream code
  * bump Standards-Version to 3.8.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 18 May 2009 20:52:00 +0200

python-graph (1.4.2-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - extended packaging copyright years
    - extended upstream copyright years
    - updated list of files with different copyright notices
  * debian/patches/10_remove_doc_installation.dpatch
    - adapted to new upstrem code
  * debian/patches/{20_fix_make_clean.dpatch, 30_fix_make_docs.dpatch}
    - removed since no more needed (due to upstream code changes)
  * debian/rules
    - changed location of test files
  * debian/{control, rules}
    - switch to python-support
  * debian/control
    - added python-setuptools to b-d-i

 -- Sandro Tosi <morph@debian.org>  Tue, 03 Mar 2009 20:11:38 +0100

python-graph (1.3.1-1) unstable; urgency=low

  * Initial release (Closes: #509722)

 -- Sandro Tosi <morph@debian.org>  Fri, 26 Dec 2008 15:04:30 +0100
