=== debian/control ===
Source: python-graph
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-support, python (>= 2.5.3-1~), python-epydoc, python-setuptools, python-pydot
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/python-graph/
Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/python-graph/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-graph/trunk/
X-Python-Version: all

Package: python-pygraph
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-pydot, python-pkg-resources
Suggests: libgv-python, python-pyparsing
Description: library for working with graphs in Python
 This software provides a suitable data structure for representing graphs and a
 whole set of important algorithms.
 .
 Provided features and algorithms:
 .
  * Support for directed, undirected, weighted and non-weighted graphs
  * Support for hypergraphs
  * Canonical operations
  * XML import and export
  * DOT-Language output (for usage with Graphviz)
  * Random graph generation
 .
  * Accessibility (transitive closure)
  * Breadth-first search
  * Critical path algorithm
  * Cut-vertex and cut-edge identification
  * Cycle detection
  * Depth-first search
  * Heuristic search (A* algorithm)
  * Identification of connected components
  * Minimum spanning tree (Prim's algorithm)
  * Mutual-accessibility (strongly connected components)
  * Shortest path search (Dijkstra's algorithm)
  * Topological sorting
  * Transitive edge identification
