=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_build:
	cd core ; python setup.py build

	# run tests
	$(MAKE) tests PYTHONPATH=../$$(ls -d core/build/lib*/)

	$(MAKE) docs

override_dh_auto_install:
	cd core ; python setup.py install --root=$(CURDIR)/debian/python-pygraph --install-layout=deb
	cd dot  ; python setup.py install --root=$(CURDIR)/debian/python-pygraph --install-layout=deb

override_dh_installdocs:
	dh_installdocs		docs

override_dh_installexamples:
	dh_installexamples	tests/*.py
