=== debian/changelog ===
python-graph (1.8.2-6) unstable; urgency=medium

  * debian/control
    - bump Standards-Version to 3.9.6 (no changes needed)
  * debian/rules
    - don't guess dependencies, avoiding a spurious dep on python-graph-core;
      thanks to Helmut Grohne for the report; Closes: #764308
  * debian/copyright
    - moved to DEP-5 format

 -- Sandro Tosi <morph@debian.org>  Sat, 25 Oct 2014 21:26:57 +0100

python-graph (1.8.2-5) unstable; urgency=medium

  * debian/control
    - switch me to Maintainer (team to Uploaders)
    - bump Standards-Version to 3.9.5 (no changes needed)
    - added python3-pydot to b-p-i, needed for tests
  * debian/patches/50_bts686695_use_prune_when_removing_pycache.patch
    - fix a FTBFS if built twice in a row; thanks to Jakub Wilk for the report
      and fix; Closes: #686695
  * Switch to dh_python2
  * Bump compat to 9
  * debian/rules
    - allow dh_python3 to guess deps, now python3-pydot is available
    - ignore errors when running tests

 -- Sandro Tosi <morph@debian.org>  Sun, 21 Sep 2014 11:56:48 +0100

python-graph (1.8.2-4) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Sandro Tosi ]
  * debian/control
    - bump Standards-Version to 3.9.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 29 Sep 2013 15:37:51 +0200

python-graph (1.8.2-3) experimental; urgency=low

  * debian/rules
    - byte-compile py3k module; thanks to Jakub Wilk for the report and fix;
      Closes: #697112
  * debian/copyright
    - extended packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Mon, 14 Jan 2013 14:24:40 +0100

python-graph (1.8.2-2) experimental; urgency=low

  * debian/control
    - replace python3-pkg-resources with python3-setuptools in b-d-i, needed
      to build the package; thanks to Jakub Wilk for the report; Closes: #686385

 -- Sandro Tosi <morph@debian.org>  Fri, 31 Aug 2012 23:22:11 +0200

python-graph (1.8.2-1) experimental; urgency=low

  * New upstream release
  * debian/copyright
    - updated upstream copyright years
  * debian/patches/20_remove_reset.patch
    - updated to reflect new upstream code
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)
    - added python3-pkg-resources to b-d-i, needed to run tests
  * debian/rules
    - run tests in the right target, honoring 'nocheck'
  * debian/patches/30_pass_python_to_makefile.patch
    - pass the python interpreter when running tests
  * debian/{control, rules}
    - build, test and install for all supported python2.x versions
    - provide Python 3 package
  * debian/patches/40_dont_clean_when_building_docs.patch
    - don't clean when building documentation

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Aug 2012 21:29:23 +0200
