=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: python-graph
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-support, python (>= 2.5.3-1~), python-epydoc, python-setuptools, python-pydot
-Standards-Version: 3.9.2
+Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 9), dh-python
+Build-Depends-Indep: python-all (>= 2.5.3-1~), python3-all, python-epydoc, python-setuptools, python-pydot, python3-setuptools, python3-pydot
+Standards-Version: 3.9.6
 Homepage: http://code.google.com/p/python-graph/
-Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/python-graph/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-graph/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-graph/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-graph/trunk/
 X-Python-Version: all
+X-Python3-Version: all
 
 Package: python-pygraph
 Architecture: all
@@ -41,3 +42,38 @@
   * Shortest path search (Dijkstra's algorithm)
   * Topological sorting
   * Transitive edge identification 
+
+Package: python3-pygraph
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources
+#Depends: python-pydot
+Suggests: python3-pyparsing
+#Suggests: libgv-python,
+Description: library for working with graphs in Python (Python3)
+ This software provides a suitable data structure for representing graphs and a
+ whole set of important algorithms.
+ .
+ Provided features and algorithms:
+ .
+  * Support for directed, undirected, weighted and non-weighted graphs
+  * Support for hypergraphs
+  * Canonical operations
+  * XML import and export
+  * DOT-Language output (for usage with Graphviz)
+  * Random graph generation
+ .
+  * Accessibility (transitive closure)
+  * Breadth-first search
+  * Critical path algorithm
+  * Cut-vertex and cut-edge identification
+  * Cycle detection
+  * Depth-first search
+  * Heuristic search (A* algorithm)
+  * Identification of connected components
+  * Minimum spanning tree (Prim's algorithm)
+  * Mutual-accessibility (strongly connected components)
+  * Shortest path search (Dijkstra's algorithm)
+  * Topological sorting
+  * Transitive edge identification
+ .
+ This package contains the Python 3 version of pygraph.
