=== debian/watch ===
version=3

http://code.google.com/p/python-graph/downloads/list //python-graph.googlecode.com/files/python-graph-([0-9.]*)\.zip
